#!/bin/bash

echo "---------------------------------------------------------------------"
echo "--    CCN-STIC-826-NEXTCLOUD-PASO 1 - INSTALACIÓN SERVIDOR LAMP    --"
echo "--  Antes de ejecutar este script debe asegurarse que los ficheros --"
echo "--       y scripts se encuentran en el directorio /Scripts         --"
echo "---------------------------------------------------------------------"
echo -e "\n"
echo "El script procederá a Instalar el conjunto de servidor LAMP"
echo "Antes de comenzar tenga en cuenta que el script instalará en su sistema los siguientes servicios:"
echo -e "\n"
echo "APACHE 2, MARIADB, PHP 7.0"
echo "El script eliminará  todo módulo de php existente en el sistema durante el proceso de instalación"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar....."
echo "EL PROCESO PUEDE DURAR VARIOS MINUTOS, ESPERE..."
##########Apache y mariaDB
yum -y install centos-release-scl
yum -y install epel-release
yum -y install httpd
yum -y install mariadb mariadb-server

#######PHP 7.0##############
yum -y remove *php*
#yum -y install rh-php70 rh-php70-php rh-php70-php-gd rh-php70-php-mbstring rh-php70-php-mysqlnd
#yum -y install rh-php70-php-ldap

###REPOS FEDORA PHP7
#rpm -ivh https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
#rpm -ivh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm
#yum -y install http://rpms.remirepo.net/enterprise/remi-release-7.rpm
#yum install -y epel-release yum-utils unzip curl wget \
#bash-completion policycoreutils-python mlocate bzip2
#####PHP 7.0 remirepo#####

yum -y install yum-utils
yum -y install http://rpms.remirepo.net/enterprise/remi-release-7.rpm
sudo yum-config-manager --disable remi-php5*
sudo yum-config-manager --enable remi-php70
yum -y install php php-cli php-mysqlnd php-zip php-devel php-gd php-mbstring php-mcrypt php-xml php-posix php-intl
##Adicionales##
#yum -y install php-fpm php-curl php-pear php-bcmath php-json php-ldap

echo "A continuación se procederá a actualizar por completo el sistema, esta operación puede durar varios minutos..."
echo "Posteriormente se procederá a eliminar los paquetes huérfanos y los antiguos kernels"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar....."
yum -y update
yum -y autoremove
yum-complete-transaction --cleanup-only
yum -y remove `package-cleanup --orphans`
#yum -y remove `package-cleanup --oldkernels`
yum -y remove `package-cleanup --leaves`
echo "A continuación se muestra la versión actual de PHP en el sistema"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar....."
php -v